#!/bin/bash

# This code block is a hack to enable execution of demo scripts without
# global installation of bash-base. Do not use in your production scripts.
BBLIBFILE=base.bash
for bbloc in /usr/libexec/bash-base/base.bash ../libexec/base.bash
do
    if [ -f "$bbloc" ]
    then
	BBLIBFILE="$bbloc"
	break
    fi
done

# source bash base library
source "$BBLIBFILE" || {
    echo "$0: fatal error: failed to source bash-base.bash"
    exit 1
}

# sets up traps used by bash-base to detect runtime errors
bb_traps_setup

# always put your code into some function, e.g. main
function main() {
	log "hello world"
}

main

# always unset traps before you shutdown
bb_traps_disable
exit 0
